diff --git a/src/providers/ldap/sdap_async_netgroups.c b/src/providers/ldap/sdap_async_netgroups.c
index b47b3e5..9965669 100644
--- a/src/providers/ldap/sdap_async_netgroups.c
+++ b/src/providers/ldap/sdap_async_netgroups.c
@@ -55,11 +55,11 @@ static errno_t sdap_save_netgroup(TALLOC_CTX *memctx,
 
     ret = sdap_get_netgroup_primary_name(memctx, opts, attrs, dom, &name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to get netgroup name\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to get netgroup name\n");
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Processing netgroup %s\n", name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Processing netgroup %s\n", name);
 
     netgroup_attrs = sysdb_new_attrs(memctx);
     if (!netgroup_attrs) {
@@ -81,8 +81,8 @@ static errno_t sdap_save_netgroup(TALLOC_CTX *memctx,
         goto fail;
     }
     if (el->num_values == 0) {
-        DEBUG(7, ("Original mod-Timestamp is not available for [%s].\n",
-                  name));
+        DEBUG(7, "Original mod-Timestamp is not available for [%s].\n",
+                  name);
     } else {
         ret = sysdb_attrs_add_string(netgroup_attrs,
                          opts->netgroup_map[SDAP_AT_NETGROUP_MODSTAMP].sys_name,
@@ -119,12 +119,12 @@ static errno_t sdap_save_netgroup(TALLOC_CTX *memctx,
         goto fail;
     }
 
-    DEBUG(6, ("Storing info for netgroup %s\n", name));
+    DEBUG(6, "Storing info for netgroup %s\n", name);
 
     ret = sdap_save_all_names(name, attrs, dom,
                               netgroup_attrs);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to save netgroup names\n"));
+        DEBUG(1, "Failed to save netgroup names\n");
         goto fail;
     }
 
@@ -134,7 +134,7 @@ static errno_t sdap_save_netgroup(TALLOC_CTX *memctx,
     ret = list_missing_attrs(attrs, opts->netgroup_map, SDAP_OPTS_NETGROUP,
                              attrs, &missing);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to list missing attributes\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to list missing attributes\n");
         goto fail;
     }
 
@@ -149,7 +149,7 @@ static errno_t sdap_save_netgroup(TALLOC_CTX *memctx,
     return EOK;
 
 fail:
-    DEBUG(2, ("Failed to save netgroup %s\n", name));
+    DEBUG(2, "Failed to save netgroup %s\n", name);
     return ret;
 }
 
@@ -172,14 +172,14 @@ errno_t update_dn_list(struct dn_item *dn_list, const size_t count,
         for(c = 0; c < count; c++) {
             dn = ldb_msg_find_attr_as_string(res[c], SYSDB_ORIG_DN, NULL);
             if (dn == NULL) {
-                DEBUG(1, ("Missing original DN.\n"));
+                DEBUG(1, "Missing original DN.\n");
                 return EINVAL;
             }
             if (strcmp(dn, dn_item->dn) == 0) {
-                DEBUG(9, ("Found matching entry for [%s].\n", dn_item->dn));
+                DEBUG(9, "Found matching entry for [%s].\n", dn_item->dn);
                 cn = ldb_msg_find_attr_as_string(res[c], SYSDB_NAME, NULL);
                 if (cn == NULL) {
-                    DEBUG(1, ("Missing name.\n"));
+                    DEBUG(1, "Missing name.\n");
                     return EINVAL;
                 }
                 dn_item->cn = talloc_strdup(dn_item, cn);
@@ -258,7 +258,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
                                            SYSDB_ORIG_NETGROUP_MEMBER, state,
                                            &member_list);
         if (ret != EOK) {
-            DEBUG(7, ("Missing netgroup members.\n"));
+            DEBUG(7, "Missing netgroup members.\n");
             continue;
         }
 
@@ -266,12 +266,12 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
             if (is_dn(member_list[mc])) {
                 dn_item = talloc_zero(state, struct dn_item);
                 if (dn_item == NULL) {
-                    DEBUG(1, ("talloc failed.\n"));
+                    DEBUG(1, "talloc failed.\n");
                     ret = ENOMEM;
                     goto fail;
                 }
 
-                DEBUG(9, ("Adding [%s] to DN list.\n", member_list[mc]));
+                DEBUG(9, "Adding [%s] to DN list.\n", member_list[mc]);
                 dn_item->netgroup = netgroups[c];
                 dn_item->dn = member_list[mc];
                 DLIST_ADD(state->dn_list, dn_item);
@@ -279,7 +279,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
                 ret = sysdb_attrs_add_string(netgroups[c], SYSDB_NETGROUP_MEMBER,
                                              member_list[mc]);
                 if (ret != EOK) {
-                    DEBUG(1, ("sysdb_attrs_add_string failed.\n"));
+                    DEBUG(1, "sysdb_attrs_add_string failed.\n");
                     goto fail;
                 }
             }
@@ -287,7 +287,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
     }
 
     if (state->dn_list == NULL) {
-        DEBUG(9, ("No DNs found among netgroup members.\n"));
+        DEBUG(9, "No DNs found among netgroup members.\n");
         tevent_req_done(req);
         tevent_req_post(req, ev);
         return req;
@@ -295,7 +295,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
 
     dn_filter = talloc_strdup(state, "(|");
     if (dn_filter == NULL) {
-        DEBUG(1, ("talloc_strdup failed.\n"));
+        DEBUG(1, "talloc_strdup failed.\n");
         ret = ENOMEM;;
         goto fail;
     }
@@ -304,7 +304,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
             dn_filter = talloc_asprintf_append(dn_filter, "(%s=%s)",
                                                SYSDB_ORIG_DN, dn_item->dn);
             if (dn_filter == NULL) {
-                DEBUG(1, ("talloc_asprintf_append failed.\n"));
+                DEBUG(1, "talloc_asprintf_append failed.\n");
                 ret = ENOMEM;
                 goto fail;
             }
@@ -312,14 +312,14 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
 
     dn_filter = talloc_asprintf_append(dn_filter, ")");
     if (dn_filter == NULL) {
-        DEBUG(1, ("talloc_asprintf_append failed.\n"));
+        DEBUG(1, "talloc_asprintf_append failed.\n");
         ret = ENOMEM;
         goto fail;
     }
 
     sysdb_filter = talloc_asprintf(state, "(&(%s)%s)", SYSDB_NC, dn_filter);
     if (sysdb_filter == NULL) {
-        DEBUG(1, ("talloc_asprintf failed.\n"));
+        DEBUG(1, "talloc_asprintf failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -335,7 +335,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
     talloc_zfree(netgr_basedn);
     talloc_zfree(sysdb_filter);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(1, ("sysdb_search_entry failed.\n"));
+        DEBUG(1, "sysdb_search_entry failed.\n");
         goto fail;
     }
 
@@ -343,7 +343,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
         ret = update_dn_list(state->dn_list, sysdb_count, sysdb_res,
                              &all_resolved);
         if (ret != EOK) {
-            DEBUG(1, ("update_dn_list failed.\n"));
+            DEBUG(1, "update_dn_list failed.\n");
             goto fail;
         }
 
@@ -353,7 +353,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
                                                  SYSDB_NETGROUP_MEMBER,
                                                  dn_item->cn);
                     if (ret != EOK) {
-                        DEBUG(1, ("sysdb_attrs_add_string failed.\n"));
+                        DEBUG(1, "sysdb_attrs_add_string failed.\n");
                         goto fail;
                     }
             }
@@ -367,7 +367,7 @@ struct tevent_req *netgr_translate_members_send(TALLOC_CTX *memctx,
     state->dn_idx = state->dn_list;
     ret = netgr_translate_members_ldap_step(req);
     if (ret != EOK && ret != EAGAIN) {
-        DEBUG(1, ("netgr_translate_members_ldap_step failed.\n"));
+        DEBUG(1, "netgr_translate_members_ldap_step failed.\n");
         goto fail;
     }
 
@@ -410,7 +410,7 @@ static errno_t netgr_translate_members_ldap_step(struct tevent_req *req)
                                              SYSDB_NETGROUP_MEMBER,
                                              state->dn_item->cn);
                 if (ret != EOK) {
-                    DEBUG(1, ("sysdb_attrs_add_string failed.\n"));
+                    DEBUG(1, "sysdb_attrs_add_string failed.\n");
                     tevent_req_error(req, ret);
                     return ret;
                 }
@@ -430,14 +430,14 @@ static errno_t netgr_translate_members_ldap_step(struct tevent_req *req)
 
     cn_attr = talloc_array(state, const char *, 3);
     if (cn_attr == NULL) {
-        DEBUG(1, ("talloc_array failed.\n"));
+        DEBUG(1, "talloc_array failed.\n");
         return ENOMEM;
     }
     cn_attr[0] = state->opts->netgroup_map[SDAP_AT_NETGROUP_NAME].name;
     cn_attr[1] = "objectclass";
     cn_attr[2] = NULL;
 
-    DEBUG(9, ("LDAP base search for [%s].\n", state->dn_item->dn));
+    DEBUG(9, "LDAP base search for [%s].\n", state->dn_item->dn);
     subreq = sdap_get_generic_send(state, state->ev, state->opts, state->sh,
                                    state->dn_item->dn, LDAP_SCOPE_BASE, filter,
                                    cn_attr, state->opts->netgroup_map,
@@ -446,7 +446,7 @@ static errno_t netgr_translate_members_ldap_step(struct tevent_req *req)
                                                   SDAP_SEARCH_TIMEOUT),
                                    false);
     if (!subreq) {
-        DEBUG(1, ("sdap_get_generic_send failed.\n"));
+        DEBUG(1, "sdap_get_generic_send failed.\n");
         return ENOMEM;
     }
     talloc_steal(subreq, cn_attr);
@@ -469,42 +469,42 @@ static void netgr_translate_members_ldap_done(struct tevent_req *subreq)
     ret = sdap_get_generic_recv(subreq, state, &count, &netgroups);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(1, ("sdap_get_generic request failed.\n"));
+        DEBUG(1, "sdap_get_generic request failed.\n");
         goto fail;
     }
 
     switch (count) {
         case 0:
-            DEBUG(0, ("sdap_get_generic_recv found no entry for [%s].\n",
-                      state->dn_item->dn));
+            DEBUG(0, "sdap_get_generic_recv found no entry for [%s].\n",
+                      state->dn_item->dn);
             break;
         case 1:
             ret = sysdb_attrs_get_string(netgroups[0], SYSDB_NAME, &str);
             if (ret != EOK) {
-                DEBUG(1, ("sysdb_attrs_add_string failed.\n"));
+                DEBUG(1, "sysdb_attrs_add_string failed.\n");
                 break;
             }
             state->dn_item->cn = talloc_strdup(state->dn_item, str);
             if (state->dn_item->cn == NULL) {
-                DEBUG(1, ("talloc_strdup failed.\n"));
+                DEBUG(1, "talloc_strdup failed.\n");
             }
             break;
         default:
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Unexpected number of results [%zu] for base search.\n",
-                   count));
+                  "Unexpected number of results [%zu] for base search.\n",
+                   count);
     }
 
     if (state->dn_item->cn == NULL) {
-        DEBUG(1, ("Failed to resolve netgroup name for DN [%s], using DN.\n",
-                  state->dn_item->dn));
+        DEBUG(1, "Failed to resolve netgroup name for DN [%s], using DN.\n",
+                  state->dn_item->dn);
         state->dn_item->cn = talloc_strdup(state->dn_item, state->dn_item->dn);
     }
 
     state->dn_idx = state->dn_item->next;
     ret = netgr_translate_members_ldap_step(req);
     if (ret != EOK && ret != EAGAIN) {
-        DEBUG(1, ("netgr_translate_members_ldap_step failed.\n"));
+        DEBUG(1, "netgr_translate_members_ldap_step failed.\n");
         goto fail;
     }
 
@@ -593,7 +593,7 @@ struct tevent_req *sdap_get_netgroups_send(TALLOC_CTX *memctx,
 
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Netgroup lookup request without a netgroup search base\n"));
+              "Netgroup lookup request without a netgroup search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -625,8 +625,8 @@ static errno_t sdap_get_netgroups_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for netgroups with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for netgroups with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -661,7 +661,7 @@ static void sdap_get_netgroups_process(struct tevent_req *subreq)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Search for netgroups, returned %zu results.\n", state->count));
+          "Search for netgroups, returned %zu results.\n", state->count);
 
     if (state->count == 0) {
         /* No netgroups found in this search */
@@ -719,13 +719,13 @@ static void netgr_translate_members_done(struct tevent_req *subreq)
                                  &state->higher_timestamp,
                                  now);
         if (ret) {
-            DEBUG(2, ("Failed to store netgroups.\n"));
+            DEBUG(2, "Failed to store netgroups.\n");
             tevent_req_error(req, ret);
             return;
         }
     }
 
-    DEBUG(SSSDBG_TRACE_ALL, ("Saving %zu Netgroups - Done\n", state->count));
+    DEBUG(SSSDBG_TRACE_ALL, "Saving %zu Netgroups - Done\n", state->count);
 
     tevent_req_done(req);
 }
diff --git a/src/providers/ldap/sdap_async_services.c b/src/providers/ldap/sdap_async_services.c
index c4245f0..8a391c3 100644
--- a/src/providers/ldap/sdap_async_services.c
+++ b/src/providers/ldap/sdap_async_services.c
@@ -104,7 +104,7 @@ sdap_get_services_send(TALLOC_CTX *memctx,
 
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Services lookup request without a search base\n"));
+              "Services lookup request without a search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -137,8 +137,8 @@ sdap_get_services_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for services with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for services with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -177,8 +177,8 @@ sdap_get_services_process(struct tevent_req *subreq)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Search for services, returned %zu results.\n",
-           count));
+          "Search for services, returned %zu results.\n",
+           count);
 
     if (state->enumeration || count == 0) {
         /* No services found in this search or enumerating */
@@ -234,13 +234,13 @@ sdap_get_services_process(struct tevent_req *subreq)
                              &state->higher_usn);
     if (ret) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to store services.\n"));
+              "Failed to store services.\n");
         tevent_req_error(req, ret);
         return;
     }
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("Saving %zu services - Done\n", state->count));
+          "Saving %zu services - Done\n", state->count);
 
     tevent_req_done(req);
 }
@@ -274,7 +274,7 @@ sdap_save_services(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
 
@@ -292,10 +292,10 @@ sdap_save_services(TALLOC_CTX *mem_ctx,
          * Just report the failure to save and go on */
         if (ret) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Failed to store service %zu. Ignoring.\n", i));
+                  "Failed to store service %zu. Ignoring.\n", i);
         } else {
             DEBUG(SSSDBG_TRACE_INTERNAL,
-                  ("Service [%zu/%zu] processed!\n", i, num_services));
+                  "Service [%zu/%zu] processed!\n", i, num_services);
         }
 
         if (usn_value) {
@@ -316,7 +316,7 @@ sdap_save_services(TALLOC_CTX *mem_ctx,
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to commit transaction!\n"));
+              "Failed to commit transaction!\n");
         goto done;
     }
     in_transaction = false;
@@ -330,7 +330,7 @@ done:
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Failed to cancel transaction!\n"));
+                  "Failed to cancel transaction!\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -360,7 +360,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     uint16_t port;
     uint64_t cache_timeout;
 
-    DEBUG(SSSDBG_TRACE_ALL, ("Saving service\n"));
+    DEBUG(SSSDBG_TRACE_ALL, "Saving service\n");
 
     tmp_ctx = talloc_new(NULL);
     if (!tmp_ctx) {
@@ -381,11 +381,11 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
             &name);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not determine the primary name of the service\n"));
+              "Could not determine the primary name of the service\n");
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Primary name: [%s]\n", name));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Primary name: [%s]\n", name);
 
 
     /* Handle any available aliases */
@@ -394,7 +394,7 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
                                   &aliases);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to identify service aliases\n"));
+              "Failed to identify service aliases\n");
         goto done;
     }
 
@@ -402,8 +402,8 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_uint16_t(attrs, SYSDB_SVC_PORT, &port);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to identify service port: [%s]\n",
-               strerror(ret)));
+              "Failed to identify service port: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -412,8 +412,8 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
                                        tmp_ctx, &protocols);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to identify service protocols: [%s]\n",
-               strerror(ret)));
+              "Failed to identify service protocols: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -423,8 +423,8 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
                                       dom->case_sensitive, &cased_protocols);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                ("Failed to get case_sensitive protocols names: [%s]\n",
-                strerror(ret)));
+                "Failed to get case_sensitive protocols names: [%s]\n",
+                strerror(ret));
             goto done;
         }
     }
@@ -436,22 +436,22 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
                       opts->service_map[SDAP_AT_SERVICE_USN].sys_name, &el);
     if (ret && ret != ENOENT) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to retrieve USN value: [%s]\n",
-               strerror(ret)));
+              "Failed to retrieve USN value: [%s]\n",
+               strerror(ret));
         goto done;
     }
     if (ret == ENOENT || el->num_values == 0) {
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Original USN value is not available for [%s].\n",
-               name));
+              "Original USN value is not available for [%s].\n",
+               name);
     } else {
         ret = sysdb_attrs_add_string(svc_attrs,
                           opts->service_map[SDAP_AT_SERVICE_USN].sys_name,
                           (const char*)el->values[0].data);
         if (ret) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Failed to add USN value: [%s]\n",
-                   strerror(ret)));
+                  "Failed to add USN value: [%s]\n",
+                   strerror(ret));
             goto done;
         }
         usn_value = talloc_strdup(tmp_ctx, (const char*)el->values[0].data);
@@ -468,8 +468,8 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
                              attrs, &missing);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to identify removed attributes: [%s]\n",
-               strerror(ret)));
+              "Failed to identify removed attributes: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -479,8 +479,8 @@ sdap_save_service(TALLOC_CTX *mem_ctx,
                               svc_attrs, missing, cache_timeout, now);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Failed to store service in the sysdb: [%s]\n",
-               strerror(ret)));
+              "Failed to store service in the sysdb: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -568,7 +568,7 @@ enum_services_send(TALLOC_CTX *memctx,
                 id_ctx->opts->service_map[SDAP_AT_SERVICE_PROTOCOL].name);
     }
     if (!state->filter) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Failed to build base filter\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Failed to build base filter\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -633,8 +633,8 @@ enum_services_op_done(struct tevent_req *subreq)
         }
     }
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Services higher USN value: [%s]\n",
-              state->id_ctx->srv_opts->max_service_value));
+    DEBUG(SSSDBG_FUNC_DATA, "Services higher USN value: [%s]\n",
+              state->id_ctx->srv_opts->max_service_value);
 
     tevent_req_done(req);
 }
diff --git a/src/providers/ldap/sdap_async_sudo.c b/src/providers/ldap/sdap_async_sudo.c
index 0d4882b..e91ab34 100644
--- a/src/providers/ldap/sdap_async_sudo.c
+++ b/src/providers/ldap/sdap_async_sudo.c
@@ -208,7 +208,7 @@ static int sdap_sudo_refresh_retry(struct tevent_req *req)
     if (state->sdap_op == NULL) {
         state->sdap_op = sdap_id_op_create(state, state->sdap_conn_cache);
         if (state->sdap_op == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("sdap_id_op_create() failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "sdap_id_op_create() failed\n");
             state->dp_error = DP_ERR_FATAL;
             state->error = EIO;
             return EIO;
@@ -218,7 +218,7 @@ static int sdap_sudo_refresh_retry(struct tevent_req *req)
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("sdap_id_op_connect_send() failed: %d(%s)\n", ret, strerror(ret)));
+              "sdap_id_op_connect_send() failed: %d(%s)\n", ret, strerror(ret));
         talloc_zfree(state->sdap_op);
         state->dp_error = DP_ERR_FATAL;
         state->error = ret;
@@ -251,11 +251,11 @@ static void sdap_sudo_refresh_connect_done(struct tevent_req *subreq)
         return;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("SUDO LDAP connection failed - %s\n", strerror(ret)));
+              "SUDO LDAP connection failed - %s\n", strerror(ret));
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("SUDO LDAP connection successful\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "SUDO LDAP connection successful\n");
 
     subreq = sdap_sudo_load_sudoers_send(state, state->be_ctx->ev,
                                          state->opts,
@@ -306,7 +306,7 @@ static struct tevent_req * sdap_sudo_load_sudoers_send(TALLOC_CTX *mem_ctx,
 
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("SUDOERS lookup request without a search base\n"));
+              "SUDOERS lookup request without a search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -345,7 +345,7 @@ static errno_t sdap_sudo_load_sudoers_next_base(struct tevent_req *req)
     search_base = state->search_bases[state->base_iter];
     if (search_base == NULL) {
         /* should not happen */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("search_base is null\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "search_base is null\n");
         return EFAULT;
     }
 
@@ -358,8 +358,8 @@ static errno_t sdap_sudo_load_sudoers_next_base(struct tevent_req *req)
 
     /* send request */
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for sudo rules with base [%s]\n",
-           search_base->basedn));
+          "Searching for sudo rules with base [%s]\n",
+           search_base->basedn);
 
     subreq = sdap_get_generic_send(state,
                                    state->ev,
@@ -397,8 +397,8 @@ static void sdap_sudo_load_sudoers_process(struct tevent_req *subreq)
     search_base = state->search_bases[state->base_iter];
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Receiving sudo rules with base [%s]\n",
-           search_base->basedn));
+          "Receiving sudo rules with base [%s]\n",
+           search_base->basedn);
 
     ret = sdap_get_generic_recv(subreq, state, &count, &attrs);
     talloc_zfree(subreq);
@@ -477,12 +477,12 @@ static void sdap_sudo_refresh_load_done(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Received %zu rules\n", rules_count));
+    DEBUG(SSSDBG_TRACE_FUNC, "Received %zu rules\n", rules_count);
 
     /* start transaction */
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -507,12 +507,12 @@ static void sdap_sudo_refresh_load_done(struct tevent_req *subreq)
     /* commit transaction */
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Sudoers is successfuly stored in cache\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Sudoers is successfuly stored in cache\n");
 
     ret = EOK;
     state->num_rules = rules_count;
@@ -521,7 +521,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(state->sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Could not cancel transaction\n");
         }
     }
 
@@ -558,15 +558,15 @@ static int sdap_sudo_purge_sudoers(struct sysdb_ctx *sysdb_ctx,
                                          &name);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Failed to retrieve rule name: [%s]\n", strerror(ret)));
+                      "Failed to retrieve rule name: [%s]\n", strerror(ret));
                 continue;
             }
 
             ret = sysdb_sudo_purge_byname(sysdb_ctx, dom, name);
             if (ret != EOK) {
                 DEBUG(SSSDBG_MINOR_FAILURE,
-                      ("Failed to delete rule %s: [%s]\n",
-                       name, strerror(ret)));
+                      "Failed to delete rule %s: [%s]\n",
+                       name, strerror(ret));
                 continue;
             }
         }
@@ -582,8 +582,8 @@ static int sdap_sudo_purge_sudoers(struct sysdb_ctx *sysdb_ctx,
 
 done:
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("failed to purge sudo rules [%d]: %s\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "failed to purge sudo rules [%d]: %s\n",
+                                  ret, strerror(ret));
     }
 
     return ret;
@@ -611,8 +611,8 @@ static int sdap_sudo_store_sudoers(TALLOC_CTX *mem_ctx,
                                          rules_count, cache_timeout, now,
                                          _usn);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("failed to save sudo rules [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "failed to save sudo rules [%d]: %s\n",
+              ret, strerror(ret));
         return ret;
     }
 
